#include <iostream>
#include <cstdlib>

using namespace std;

int main()
{
    int n;
    cin >> n;

    long long unsigned result = 0;
    bool is_there_any_even_left = 1;

    int input[n];
    for(int i=0; i<n; i++)
        cin >> input[i];

    for(int i=0; i<n; i++)
    {
        if(is_there_any_even_left == 1){
            is_there_any_even_left = 0;
            for(int j=i; j<n; j++)
            {
                if(input[j]% 2 == 0)
                {
                    is_there_any_even_left = 1;
                    result += n-j;
                    break;
                }
            }
        }
    }

    cout << result;
    return 0;
}
